Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 6999659b97531486c3f63f65772edf781eee01d2)
+++ sansview/perspectives/fitting/basepage.py	(revision 7c845cbc01c318cbb47a512ad1468742da9afd22)
@@ -461,5 +461,5 @@
         wx.PostEvent(self.parent, event)
     
-    def reset_page(self, state):
+    def reset_page_helper(self, state):
         """
             Use page_state and change the state of existing page
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 3b605bbbf34392d21f2dba9b6a894bc2b795f287)
+++ sansview/perspectives/fitting/fitpage.py	(revision 7c845cbc01c318cbb47a512ad1468742da9afd22)
@@ -406,5 +406,13 @@
         wx.PostEvent(self.event_owner, evt)   
         
-    
+    def reset_page(self, state):
+        """
+            reset the state
+        """
+        self.reset_page_helper(state)
+        evt = ModelEventbox(model=self.model)
+        wx.PostEvent(self.event_owner, evt)   
+        
+        
     def _onparamEnter(self,event):
         """ 
Index: sansview/perspectives/fitting/fitpanel.py
===================================================================
--- sansview/perspectives/fitting/fitpanel.py	(revision 6999659b97531486c3f63f65772edf781eee01d2)
+++ sansview/perspectives/fitting/fitpanel.py	(revision 7c845cbc01c318cbb47a512ad1468742da9afd22)
@@ -95,39 +95,45 @@
              close page and remove all references to the closed page
         """
-        state = self.get_current_page().createMemento()
-        page_name = self.get_current_page().window_name
+        selected_page = self.GetPage(self.GetSelection())
+        ## removing about page
+        if selected_page==self.about_page:
+            self.about_page=None
+            return 
+        ## removing sim_page
+        if selected_page == self.sim_page:
+            self.manager.sim_page=None 
+            return
+        
+        ## closing other pages
+        state = selected_page.createMemento()
+        page_name = selected_page.window_name
         page_finder = self.manager.get_page_finder() 
         fitproblem = None
-        
-        if self.get_current_page() in page_finder:
-            fitproblem= page_finder[self.get_current_page()]
-            
-        
-        selected_page = self.GetPage(self.GetSelection())
-        page_number = self.GetSelection()
-        
-        if self.sim_page != selected_page and selected_page!=self.about_page:
-            # remove the check box link to the model name of this page (selected_page)
-            if self.sim_page !=None :
+        ## removing model page
+        if selected_page == self.model_page:
+            fitproblem = selected_page.model.clone()
+            self.model_page = None
+            ## page on menu
+            self.manager._add_page_onmenu(page_name, fitproblem)
+        else:
+            if selected_page in page_finder:
+       
+                fitproblem= page_finder[selected_page].clone()
+                ## page on menu
+                self.manager._add_page_onmenu(page_name, fitproblem)
+                del page_finder[selected_page]
+            ##remove the check box link to the model name of this page (selected_page)
+            try:
                 self.sim_page.draw_page()
-            
-            #Delete the page from notebook
-            if selected_page.window_name in self.list_fitpage_name:
-                self.list_fitpage_name.remove(selected_page.window_name)
-           
-            if selected_page.window_name== "Model":
-                fitproblem = self.get_current_page().model.clone()
-                self.model_page=None
+            except:
+                ## that page is already deleted no need to remove check box on
+                ##non existing page
+                pass
                 
-            if  page_number == 1:
-                self.model_page=None
-                
-            
-        elif selected_page==self.about_page:
-            self.about_page=None
-        else:
-            self.manager.sim_page=None 
-        ## page on menu
-        self.manager._add_page_onmenu(page_name, fitproblem)
+        #Delete the name of the page into the list of open page
+        if selected_page.window_name in self.list_fitpage_name:
+            self.list_fitpage_name.remove(selected_page.window_name)
+    
+        
         
         
Index: sansview/perspectives/fitting/fitproblem.py
===================================================================
--- sansview/perspectives/fitting/fitproblem.py	(revision 9853ad069a86f1e21bce16d80f5733f56cfedd79)
+++ sansview/perspectives/fitting/fitproblem.py	(revision 7c845cbc01c318cbb47a512ad1468742da9afd22)
@@ -35,5 +35,9 @@
         """
         import copy 
-        obj          = FitProblem( self.parent,model= model )
+        obj          = FitProblem()
+        model= None
+        if self.model!=None:
+            model = self.model.clone()
+        obj.model = model
         obj.fit_data = copy.deepcopy(self.fit_data)
         obj.model = copy.deepcopy(self.model)
Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision b787e68c1ba3f939b02051b4663e38eee6a12ab3)
+++ sansview/perspectives/fitting/fitting.py	(revision 7c845cbc01c318cbb47a512ad1468742da9afd22)
@@ -476,4 +476,7 @@
                     if fitproblem != None:
                         self.page_finder[page]=fitproblem
+                        if self.sim_page != None:
+                            self.sim_page.draw_page()
+                            
                 else:
                     model = fitproblem
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 3b605bbbf34392d21f2dba9b6a894bc2b795f287)
+++ sansview/perspectives/fitting/modelpage.py	(revision 7c845cbc01c318cbb47a512ad1468742da9afd22)
@@ -225,4 +225,12 @@
         self.SetScrollbars(20,20,200,100)
              
+             
+    def reset_page(self, state):
+        """
+            reset the state
+        """
+        self.reset_page_helper(state)
+        
+        
     def _onModel2D(self, event):
         """
